
StocksAndFisheriesKB - Bug #12421

Accented words are not properly displayed in the "short name" field and in other fields

Sep 07, 2018 05:13 PM - Aureliano Gentile

Status: Closed Start date: Sep 07, 2018

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

example: 

http://data.d4science.org/ctlg/GRSF_Admin/f0a3c335-1a7d-30e2-b906-df7ae9a33fd3 (see "short name" field: ... C te d'Ivoire...

http://data.d4science.org/ctlg/GRSF_Admin/8bb5d97c-ea65-39e2-aa02-20a087cce8d8 (see "Fishery Name", "Fishing area", "short

name", "flag state" etc.)

Related issues:

Related to StocksAndFisheriesKB - Bug #13160: European Commission missing cod... Closed Jan 16, 2019

Related to StocksAndFisheriesKB - Bug #16377: Citation template does not matc... Closed Apr 11, 2064

History

#1 - Sep 07, 2018 05:20 PM - Luca Frosini

@marketak@ics.forth.gr maybe this is an encoding issue. Can you check the KB content?

#2 - Sep 11, 2018 08:47 AM - Yannis Marketakis

- File f0a3c335-1a7d-30e2-b906-df7ae9a33fd3.json added

- File 8bb5d97c-ea65-39e2-aa02-20a087cce8d8.json added

@luca.frosini@isti.cnr.it the GRSF KB contains them with the proper encoding.

Moreover, the json serialization that is used for publishing the records contains the text with the proper encoding as well (attached you will find the

json objects for these two records.)

It should be an issue with the presentation of the fields (if you notice the short name as it appears under the title of the record it has the proper

encoding).

#3 - Mar 21, 2019 05:02 PM - Luca Frosini

- Status changed from New to In Progress

- % Done changed from 0 to 80

#4 - Mar 21, 2019 05:09 PM - Luca Frosini

- % Done changed from 80 to 100

The bug has been solved. The service will be deployed as soon as ETICS build the artefact.

#5 - Mar 21, 2019 05:16 PM - Luca Frosini

@marketak@ics.forth.gr as soon I deploy the new version of the service can you try to republish one of the record attached as example?

#6 - Mar 22, 2019 09:42 AM - Yannis Marketakis

Of course. Just let me know when ready.

#7 - Mar 25, 2019 09:40 AM - Luca Frosini

- Status changed from In Progress to Closed

The patched service is available.

@marketak@ics.forth.gr, can you please try to update one of the identified records?
#8 - Mar 26, 2019 10:10 AM - Yannis Marketakis

Perfectly fine.

Works as expected.

#9 - Mar 26, 2019 10:10 AM - Luca Frosini

Thank you

#10 - Mar 26, 2019 10:34 AM - Aureliano Gentile

Thanks a lot to all, do you confirm the accented words issue is over for all of them, or do we need to republish or what else? Thanks again

#11 - Mar 26, 2019 10:38 AM - Yannis Marketakis

The issue disappeared only for the two records that are mentioned above (I updated only those).

For sure if we republish then we will get rid of other potential occurrences of these issues.

#12 - Mar 26, 2019 10:39 AM - Aureliano Gentile

Here a list of accented words and characters found in FIRMS

Country names

Côte d'Ivoire

São Tomé e Príncipe

Sénégal

Coordinates

(21°N - 16°N)

(26°N - 21°N)

(32°N-26°N)

(northern stock 35°45''-32°N)

(26°N - southern limit of species distribution)

South 29°N

#13 - Mar 27, 2019 11:00 AM - Yannis Marketakis

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

Thanks Aureliano, 

According to these we have to update: 

39 records from FIRMS

197 records from GRSF ADMIN

16 records from GRSF Public

@luca.frosini@isti.cnr.it let us know when ready. 

#15 - Mar 28, 2019 05:16 PM - Luca Frosini

@marketak@ics.forth.gr I should have fixed the bug for all record field.

Unfortunately, I cannot test the issue on resources created using the referred records because I don't have the reference in the test environment.

I'll deploy the new version of the service as soon as ETICS will build the artifact.

#16 - Mar 29, 2019 08:17 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it

Perfectly fine from my side

#17 - Mar 29, 2019 11:49 AM - Luca Frosini

I have deployed the latest version.

@marketak@ics.forth.gr can you please retry? 

#18 - Mar 29, 2019 12:22 PM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it .

Just updated http://data.d4science.org/ctlg/GRSF_Admin/e3177c4d-4b09-386d-a25f-001b4a82caf1

and everything seems OK, except from the titles of the timeseries (the resources)
#19 - Mar 29, 2019 12:43 PM - Luca Frosini

Unfortunately, the update does not update the resources.

Could it be an issue deleting the affected records and recreating them?

If it is a problem, I'll find a workaround.

#20 - Mar 29, 2019 12:56 PM - Yannis Marketakis

Unfortunately, neither this option works

Just deleted and published again http://data.d4science.org/ctlg/GRSF_Admin/e3177c4d-4b09-386d-a25f-001b4a82caf1

but the issue persists

#21 - Apr 01, 2019 02:50 PM - Luca Frosini

@marketak@ics.forth.gr thanks for your feedback. I'm investigating the issue.

#22 - Apr 02, 2019 03:07 PM - Yannis Marketakis

- Related to Bug #13160: European Commission missing code as management entity added

#23 - Apr 02, 2019 03:53 PM - Yannis Marketakis

- Related to Bug #16377: Citation template does not match current citation added

#25 - Apr 02, 2019 06:21 PM - Luca Frosini

I have found and fixed the issue. Ass soon as ETICS will compile the service I'll deploy the new version.

#26 - Apr 03, 2019 10:53 AM - Luca Frosini

@marketak@ics.forth.gr I updated again the service. Sorry for any inconvenience.

#27 - Apr 03, 2019 11:35 AM - Yannis Marketakis

Thanks Luca. It works as expected (http://data.d4science.org/ctlg/GRSF_Admin/e3177c4d-4b09-386d-a25f-001b4a82caf1)

#28 - Apr 03, 2019 11:39 AM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Files

f0a3c335-1a7d-30e2-b906-df7ae9a33fd3.json 8.18 KB Sep 11, 2018 Yannis Marketakis

8bb5d97c-ea65-39e2-aa02-20a087cce8d8.json 2.33 KB Sep 11, 2018 Yannis Marketakis

Powered by TCPDF (www.tcpdf.org)

Apr 30, 2025 3/3

http://data.d4science.org/ctlg/GRSF_Admin/e3177c4d-4b09-386d-a25f-001b4a82caf1
http://data.d4science.org/ctlg/GRSF_Admin/e3177c4d-4b09-386d-a25f-001b4a82caf1
http://www.tcpdf.org

